[Debian-live-changes] r2452 - dists/trunk/live-initramfs/debian
daniel at alioth.debian.org
daniel at alioth.debian.org
Wed Jul 11 10:35:26 UTC 2007
Author: daniel
Date: 2007-07-11 10:35:26 +0000 (Wed, 11 Jul 2007)
New Revision: 2452
Added:
dists/trunk/live-initramfs/debian/init
dists/trunk/live-initramfs/debian/postinst
dists/trunk/live-initramfs/debian/postrm
Removed:
dists/trunk/live-initramfs/debian/live-initramfs.init
dists/trunk/live-initramfs/debian/live-initramfs.postinst
dists/trunk/live-initramfs/debian/live-initramfs.postrm
Modified:
dists/trunk/live-initramfs/debian/changelog
dists/trunk/live-initramfs/debian/control
Log:
Modified: dists/trunk/live-initramfs/debian/changelog
===================================================================
--- dists/trunk/live-initramfs/debian/changelog 2007-07-11 01:35:58 UTC (rev 2451)
+++ dists/trunk/live-initramfs/debian/changelog 2007-07-11 10:35:26 UTC (rev 2452)
@@ -1,6 +1,7 @@
live-initramfs (1.91.4-1) UNRELEASED; urgency=medium
- * New upstream release.
+ * New upstream release:
+ - Dropping transitional package, not needed anymore.
-- Daniel Baumann <daniel at debian.org> Mon, 9 Jul 2007 00:00:00 +0200
Modified: dists/trunk/live-initramfs/debian/control
===================================================================
--- dists/trunk/live-initramfs/debian/control 2007-07-11 01:35:58 UTC (rev 2451)
+++ dists/trunk/live-initramfs/debian/control 2007-07-11 10:35:26 UTC (rev 2452)
@@ -13,7 +13,7 @@
Depends: ${shlibs:Depends}, ${misc:Depends}, file, initramfs-tools, sudo, user-setup
Recommends: eject, live-initscripts
Suggests: genext2fs, squashfs-tools
-Conflicts: casper (<< 1.87)
+Conflicts: casper
Replaces: casper
Description: Debian Live initramfs hook
live-initramfs is a hook for the initramfs-tools, used to generate a initramfs
@@ -31,13 +31,3 @@
Homepage: <http://debian-live.alioth.debian.org/>
.
live-initramfs is a fork of casper <http://packages.ubuntu.com/casper/>.
-
-Package: casper
-Architecture: all
-Depends: live-initramfs
-Description: Debian Live initramfs hook (transitional package)
- Package to ease upgrading from older casper package to the new live-initramfs
- package.
- .
- This package can be purged at anytime once the live-initramfs package has been
- installed.
Copied: dists/trunk/live-initramfs/debian/init (from rev 2436, dists/trunk/live-initramfs/debian/live-initramfs.init)
===================================================================
--- dists/trunk/live-initramfs/debian/init (rev 0)
+++ dists/trunk/live-initramfs/debian/init 2007-07-11 10:35:26 UTC (rev 2452)
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides: live-initramfs
+# Required-Start: $syslog
+# Required-Stop: $syslog
+# Should-Start: $local_fs
+# Should-Stop: $local_fs
+# Default-Start: 1 2 3 4 5
+# Default-Stop: 0 6
+# Short-Description: live-initramfs init script
+# Description: Resyncs snapshots, evantually caches files in order to
+# let remove the media.
+### END INIT INFO
+
+# Authors: Tollef Fog Heen <tfheen at canonical.com>
+# Marco Amadori <marco.amadori at gmail.com>
+
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
+NAME=live-initramfs
+SCRIPTNAME=/etc/init.d/${NAME}
+DO_SNAPSHOT=/sbin/live-snapshot
+
+# Exit if system was not booted by live-initramfs
+grep -qs boot=live /proc/cmdline || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/live.conf ] && . /etc/live.conf
+
+# Load the VERBOSE setting and other rcS variables
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+# Try to cache everything we're likely to need after ejecting. This
+# is fragile and simple-minded, but our options are limited.
+cache_path() {
+ path="$1"
+
+ if [ -d "$path" ]; then
+ find "$path" -type f | xargs cat > /dev/null 2>&1
+ elif [ -f "$path" ]; then
+ if [ -x "$path" ]; then
+ if file "$path" | grep -q 'dynamically linked'; then
+ for lib in $(ldd "$path" | awk '{ print $3 }'); do
+ cache_path "$lib"
+ done
+ fi
+ fi
+ cat "$path" >/dev/null 2>&1
+ fi
+}
+
+do_stop ()
+{
+ if [ ! -z "${ROOTSNAP}" ]; then
+ $DO_SNAPSHOT --resync-string="${ROOTSNAP}"
+ fi
+
+ if [ ! -z "${HOMESNAP}" ]; then
+ $DO_SNAPSHOT --resync-string="${HOMESNAP}"
+ fi
+
+ # check for netboot
+ if [ ! -z "${NETBOOT}" ] || grep -qs netboot /proc/cmdline || grep -qsi root=/dev/nfs /proc/cmdline || grep -qsi root=/dev/cifs /proc/cmdline ; then
+ return 0
+ fi
+
+ for path in $(which halt) $(which reboot) /etc/rc?.d /etc/default; do
+ cache_path "$path"
+ done
+
+ for x in $(cat /proc/cmdline); do
+ case $x in
+ quickreboot)
+ QUICKREBOOT="Yes"
+ ;;
+ esac
+ done
+
+ if [ -z ${QUICKREBOOT} ]; then
+ if [ -x /usr/bin/eject ]
+ then
+ eject -p -m /live_media >/dev/null 2>&1
+ fi
+
+ # XXX - i18n
+ echo "Please remove the disc and close the tray (if any) then press ENTER: "
+ if [ -x /sbin/usplash_write ]; then
+ /sbin/usplash_write "TIMEOUT 86400"
+ /sbin/usplash_write "TEXT-URGENT Please remove the disc, close the tray (if any)"
+ /sbin/usplash_write "TEXT-URGENT and press ENTER to continue"
+ fi
+
+ read x < /dev/console
+ fi
+}
+
+case "$1" in
+ start|restart|reload|force-reload|status)
+ [ "$VERBOSE" != no ] && log_end_msg 0
+ ;;
+ stop)
+ log_begin_msg "${NAME} is resyncing snapshots and caching reboot files..."
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ *)
+ log_success_msg "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+ exit 3
+ ;;
+esac
Deleted: dists/trunk/live-initramfs/debian/live-initramfs.init
===================================================================
--- dists/trunk/live-initramfs/debian/live-initramfs.init 2007-07-11 01:35:58 UTC (rev 2451)
+++ dists/trunk/live-initramfs/debian/live-initramfs.init 2007-07-11 10:35:26 UTC (rev 2452)
@@ -1,117 +0,0 @@
-#!/bin/sh
-
-### BEGIN INIT INFO
-# Provides: live-initramfs
-# Required-Start: $syslog
-# Required-Stop: $syslog
-# Should-Start: $local_fs
-# Should-Stop: $local_fs
-# Default-Start: 1 2 3 4 5
-# Default-Stop: 0 6
-# Short-Description: live-initramfs init script
-# Description: Resyncs snapshots, evantually caches files in order to
-# let remove the media.
-### END INIT INFO
-
-# Authors: Tollef Fog Heen <tfheen at canonical.com>
-# Marco Amadori <marco.amadori at gmail.com>
-
-PATH=/usr/sbin:/usr/bin:/sbin:/bin
-NAME=live-initramfs
-SCRIPTNAME=/etc/init.d/${NAME}
-DO_SNAPSHOT=/sbin/live-snapshot
-
-# Exit if system was not booted by live-initramfs
-grep -qs boot=live /proc/cmdline || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/live.conf ] && . /etc/live.conf
-
-# Load the VERBOSE setting and other rcS variables
-[ -f /etc/default/rcS ] && . /etc/default/rcS
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-# Try to cache everything we're likely to need after ejecting. This
-# is fragile and simple-minded, but our options are limited.
-cache_path() {
- path="$1"
-
- if [ -d "$path" ]; then
- find "$path" -type f | xargs cat > /dev/null 2>&1
- elif [ -f "$path" ]; then
- if [ -x "$path" ]; then
- if file "$path" | grep -q 'dynamically linked'; then
- for lib in $(ldd "$path" | awk '{ print $3 }'); do
- cache_path "$lib"
- done
- fi
- fi
- cat "$path" >/dev/null 2>&1
- fi
-}
-
-do_stop ()
-{
- if [ ! -z "${ROOTSNAP}" ]; then
- $DO_SNAPSHOT --resync-string="${ROOTSNAP}"
- fi
-
- if [ ! -z "${HOMESNAP}" ]; then
- $DO_SNAPSHOT --resync-string="${HOMESNAP}"
- fi
-
- # check for netboot
- if [ ! -z "${NETBOOT}" ] || grep -qs netboot /proc/cmdline || grep -qsi root=/dev/nfs /proc/cmdline || grep -qsi root=/dev/cifs /proc/cmdline ; then
- return 0
- fi
-
- for path in $(which halt) $(which reboot) /etc/rc?.d /etc/default; do
- cache_path "$path"
- done
-
- for x in $(cat /proc/cmdline); do
- case $x in
- quickreboot)
- QUICKREBOOT="Yes"
- ;;
- esac
- done
-
- if [ -z ${QUICKREBOOT} ]; then
- if [ -x /usr/bin/eject ]
- then
- eject -p -m /live_media >/dev/null 2>&1
- fi
-
- # XXX - i18n
- echo "Please remove the disc and close the tray (if any) then press ENTER: "
- if [ -x /sbin/usplash_write ]; then
- /sbin/usplash_write "TIMEOUT 86400"
- /sbin/usplash_write "TEXT-URGENT Please remove the disc, close the tray (if any)"
- /sbin/usplash_write "TEXT-URGENT and press ENTER to continue"
- fi
-
- read x < /dev/console
- fi
-}
-
-case "$1" in
- start|restart|reload|force-reload|status)
- [ "$VERBOSE" != no ] && log_end_msg 0
- ;;
- stop)
- log_begin_msg "${NAME} is resyncing snapshots and caching reboot files..."
- do_stop
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- *)
- log_success_msg "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
- exit 3
- ;;
-esac
Deleted: dists/trunk/live-initramfs/debian/live-initramfs.postinst
===================================================================
--- dists/trunk/live-initramfs/debian/live-initramfs.postinst 2007-07-11 01:35:58 UTC (rev 2451)
+++ dists/trunk/live-initramfs/debian/live-initramfs.postinst 2007-07-11 10:35:26 UTC (rev 2452)
@@ -1,8 +0,0 @@
-#!/bin/sh
-
-if [ -x /usr/sbin/update-initramfs ]
-then
- update-initramfs -k all -u
-fi
-
-#DEBHELPER#
Deleted: dists/trunk/live-initramfs/debian/live-initramfs.postrm
===================================================================
--- dists/trunk/live-initramfs/debian/live-initramfs.postrm 2007-07-11 01:35:58 UTC (rev 2451)
+++ dists/trunk/live-initramfs/debian/live-initramfs.postrm 2007-07-11 10:35:26 UTC (rev 2452)
@@ -1,8 +0,0 @@
-#!/bin/sh
-
-if [ -x /usr/sbin/update-initramfs ]
-then
- update-initramfs -k all -u
-fi
-
-#DEBHELPER#
Copied: dists/trunk/live-initramfs/debian/postinst (from rev 2436, dists/trunk/live-initramfs/debian/live-initramfs.postinst)
===================================================================
--- dists/trunk/live-initramfs/debian/postinst (rev 0)
+++ dists/trunk/live-initramfs/debian/postinst 2007-07-11 10:35:26 UTC (rev 2452)
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+if [ -x /usr/sbin/update-initramfs ]
+then
+ update-initramfs -k all -u
+fi
+
+#DEBHELPER#
Copied: dists/trunk/live-initramfs/debian/postrm (from rev 2436, dists/trunk/live-initramfs/debian/live-initramfs.postrm)
===================================================================
--- dists/trunk/live-initramfs/debian/postrm (rev 0)
+++ dists/trunk/live-initramfs/debian/postrm 2007-07-11 10:35:26 UTC (rev 2452)
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+if [ -x /usr/sbin/update-initramfs ]
+then
+ update-initramfs -k all -u
+fi
+
+#DEBHELPER#
More information about the Debian-live-changes
mailing list